VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo:
[legend]

## Public Member Functions

| DeviceGroupDeviceCreateInfo (uint32_t physicalDeviceCount_=0, const PhysicalDevice *pPhysicalDevices_=nullptr)
| DeviceGroupDeviceCreateInfo (VkDeviceGroupDeviceCreateInfo const &rhs)
DeviceGroupDeviceCreateInfo & | operator= (VkDeviceGroupDeviceCreateInfo const &rhs)
DeviceGroupDeviceCreateInfo & | setPNext (const void *pNext_)
DeviceGroupDeviceCreateInfo & | setPhysicalDeviceCount (uint32_t physicalDeviceCount_)
DeviceGroupDeviceCreateInfo & | setPPhysicalDevices (const PhysicalDevice *pPhysicalDevices_)
| operator VkDeviceGroupDeviceCreateInfo const & () const
| operator VkDeviceGroupDeviceCreateInfo & ()
bool | operator== (DeviceGroupDeviceCreateInfo const &rhs) const
bool | operator!= (DeviceGroupDeviceCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | physicalDeviceCount
const PhysicalDevice * | pPhysicalDevices

## Private Attributes

StructureType | sType = StructureType::eDeviceGroupDeviceCreateInfo

## Detailed Description

Definition at line 48222 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DeviceGroupDeviceCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::DeviceGroupDeviceCreateInfo | ( | uint32_t | physicalDeviceCount_ = `0`,
|  | const PhysicalDevice * | pPhysicalDevices_ = `nullptr`
| ) |  |

inline

Definition at line 48224 of file vulkan.hpp.

: physicalDeviceCount( physicalDeviceCount_ )
, pPhysicalDevices( pPhysicalDevices_ )
{
}

## DeviceGroupDeviceCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::DeviceGroupDeviceCreateInfo | ( | VkDeviceGroupDeviceCreateInfo const & | rhs | ) |

inline

Definition at line 48231 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceGroupDeviceCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkDeviceGroupDeviceCreateInfo &()

VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::operator VkDeviceGroupDeviceCreateInfo & | ( |  | ) |

inline

Definition at line 48264 of file vulkan.hpp.

{
return *reinterpret_cast<VkDeviceGroupDeviceCreateInfo*>(this);
}

## operator VkDeviceGroupDeviceCreateInfo const &()

VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::operator VkDeviceGroupDeviceCreateInfo const & | ( |  | ) | const

inline

Definition at line 48259 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDeviceGroupDeviceCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::operator!= | ( | DeviceGroupDeviceCreateInfo const & | rhs | ) | const

inline

Definition at line 48277 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DeviceGroupDeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::operator= | ( | VkDeviceGroupDeviceCreateInfo const & | rhs | ) |

inline

Definition at line 48236 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceGroupDeviceCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::operator== | ( | DeviceGroupDeviceCreateInfo const & | rhs | ) | const

inline

Definition at line 48269 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( physicalDeviceCount == rhs.physicalDeviceCount )
&& ( pPhysicalDevices == rhs.pPhysicalDevices );
}

References physicalDeviceCount, pNext, pPhysicalDevices, and sType.

Referenced by operator!=().

## setPhysicalDeviceCount()

DeviceGroupDeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::setPhysicalDeviceCount | ( | uint32_t | physicalDeviceCount_ | ) |

inline

Definition at line 48247 of file vulkan.hpp.

{
physicalDeviceCount = physicalDeviceCount_;
return *this;
}

References physicalDeviceCount.

## setPNext()

DeviceGroupDeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 48241 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPPhysicalDevices()

DeviceGroupDeviceCreateInfo& VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::setPPhysicalDevices | ( | const PhysicalDevice * | pPhysicalDevices_ | ) |

inline

Definition at line 48253 of file vulkan.hpp.

{
pPhysicalDevices = pPhysicalDevices_;
return *this;
}

References pPhysicalDevices.

## Field Documentation

## physicalDeviceCount

uint32_t VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::physicalDeviceCount

Definition at line 48287 of file vulkan.hpp.

Referenced by operator==(), and setPhysicalDeviceCount().

## pNext

const void* VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::pNext = nullptr

Definition at line 48286 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pPhysicalDevices

const PhysicalDevice* VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::pPhysicalDevices

Definition at line 48288 of file vulkan.hpp.

Referenced by operator==(), and setPPhysicalDevices().

## sType

StructureType VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::sType = StructureType::eDeviceGroupDeviceCreateInfo

private

Definition at line 48283 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::pPhysicalDevices
const PhysicalDevice * pPhysicalDevices
Definition: vulkan.hpp:48288
VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::physicalDeviceCount
uint32_t physicalDeviceCount
Definition: vulkan.hpp:48287
VkDeviceGroupDeviceCreateInfo
Definition: vulkan_core.h:4113
VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:48286
VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::operator==
bool operator==(DeviceGroupDeviceCreateInfo const &rhs) const
Definition: vulkan.hpp:48269
VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::DeviceGroupDeviceCreateInfo
DeviceGroupDeviceCreateInfo(uint32_t physicalDeviceCount_=0, const PhysicalDevice *pPhysicalDevices_=nullptr)
Definition: vulkan.hpp:48224
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DeviceGroupDeviceCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:48283